Package org.jboss.modules

# Interface IterableModuleFinder

All Superinterfaces:
  `ModuleFinder`

All Known Implementing Classes:
  `JDKModuleFinder`, `LocalModuleFinder`

public interface IterableModuleFinder extends ModuleFinder
A module finder which is iterable.

Author:
  David M. Lloyd

## Method Summary

Modifier and Type
Method
Description
`default Iterator<String>`
`iterateModules(String baseName, boolean recursive)`
Deprecated.
Use `iterateModules(String, boolean, ModuleLoader)` instead.
`default Iterator<String>`
`iterateModules(String baseName, boolean recursive, ModuleLoader delegateLoader)`
`default Iterator<ModuleIdentifier>`
`iterateModules(ModuleIdentifier baseIdentifier, boolean recursive)`
Deprecated, for removal: This API element is subject to removal in a future version.
Use `iterateModules(String, boolean, ModuleLoader)` instead.

### Methods inherited from interface org.jboss.modules.ModuleFinder

`findModule, findModule`

## Method Details

### iterateModules

@Deprecated(forRemoval=true) default Iterator<ModuleIdentifier> iterateModules(ModuleIdentifier baseIdentifier, boolean recursive)
Deprecated, for removal: This API element is subject to removal in a future version.
Use `iterateModules(String, boolean, ModuleLoader)` instead.
This method returns an empty iterator and should not be used by new code.

Parameters:
  `baseIdentifier` - the identifier to start with, or `null` to iterate all modules
  `recursive` - `true` to find recursively nested modules, `false` to only find immediately nested modules
Returns:
  an iterator for the modules in this module finder

### iterateModules

@Deprecated default Iterator<String> iterateModules(String baseName, boolean recursive)
Deprecated.
Use `iterateModules(String, boolean, ModuleLoader)` instead.
Iterate the modules which can be located via this module finder.

Parameters:
  `baseName` - the identifier to start with, or `null` to iterate all modules; ignored if this module loader does not have a concept of nested modules
  `recursive` - `true` to find recursively nested modules, `false` to only find immediately nested modules; ignored if this module finder does not have a concept of nested modules
Returns:
  an iterator for the modules in this module finder

### iterateModules

default Iterator<String> iterateModules(String baseName, boolean recursive, ModuleLoader delegateLoader)